from distutils.core import setup, Extension
from numarray.numarrayext import NumarrayExtension
import sys

#for numarray:
if not hasattr(sys, 'version_info') or sys.version_info < (2,2,0,'alpha',0):
	raise SystemExit, 'Python 2.2 or later required to build this module.'

setup(name='hungarian', version='0.1.1', url='http://mit.edu/harold/www/code.html#hungarian',\
download_url='http://mit.edu/harold/Public/hungarian.tgz',\
description='algorithm for the linear assignment problem',\
long_description="""This module is just a simple wrapper for a C++ implementation of Knuth's
Hungarian algorithm, a.k.a. Munkres' algorithm, for the linear assignment
problem.""",\
author='Dominic Battre',\
maintainer='Harold Cooper',maintainer_email='hbc@mit.edu',\
ext_modules=[NumarrayExtension('hungarian',['hungarian.cpp','asp.cpp'])])